Subject: comp.sources.unix sortmail problems

From: Dave Burgess <[email-masked]>

I thought some of you might like to know that I took about 20 minutes
tonight and fixed up the c.u.s. sortmail utility so that it now works
under NetBSD.

The only real changes were adding a few #ifndef __NetBSD__ entries to
the programs.

Specifically, any place that had "#include <alloca.h>" or "sys_errlist" 
were basically commented out.  After that, changing the call to 
'cuserid' to a 'getlogin()' call, and the program now works like a 
dream.  

So much for 'Linux is better for compiling SVR4 programs....'